<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (version 1.7.0_65) on Fri Aug 22 15:07:03 CEST 2014 -->
<title>Graph</title>
<meta name="date" content="2014-08-22">
<link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
</head>
<body>
<script type="text/javascript"><!--
    if (location.href.indexOf('is-external=true') == -1) {
        parent.document.title="Graph";
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar_top">
<!--   -->
</a><a href="#skip-navbar_top" title="Skip navigation links"></a><a name="navbar_top_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/Graph.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev Class</li>
<li><a href="../../../../../fr/inria/alpage/frmgcm/gm/GraphManager.html" title="class in fr.inria.alpage.frmgcm.gm"><span class="strong">Next Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?fr/inria/alpage/frmgcm/gm/Graph.html" target="_top">Frames</a></li>
<li><a href="Graph.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li><a href="#nested_classes_inherited_from_class_com.mongodb.ReflectionDBObject">Nested</a>&nbsp;|&nbsp;</li>
<li><a href="#field_summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor_summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method_summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field_detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor_detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method_detail">Method</a></li>
</ul>
</div>
<a name="skip-navbar_top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">fr.inria.alpage.frmgcm.gm</div>
<h2 title="Class Graph" class="title">Class Graph</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li>com.mongodb.ReflectionDBObject</li>
<li>
<ul class="inheritance">
<li>fr.inria.alpage.frmgcm.gm.Graph</li>
</ul>
</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Implemented Interfaces:</dt>
<dd>com.mongodb.DBObject, org.bson.BSONObject</dd>
</dl>
<hr>
<br>
<pre>public class <span class="strong">Graph</span>
extends com.mongodb.ReflectionDBObject</pre>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== NESTED CLASS SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="nested_class_summary">
<!--   -->
</a>
<h3>Nested Class Summary</h3>
<ul class="blockList">
<li class="blockList"><a name="nested_classes_inherited_from_class_com.mongodb.ReflectionDBObject">
<!--   -->
</a>
<h3>Nested classes/interfaces inherited from class&nbsp;com.mongodb.ReflectionDBObject</h3>
<code>com.mongodb.ReflectionDBObject.JavaWrapper</code></li>
</ul>
</li>
</ul>
<!-- =========== FIELD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="field_summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<table class="overviewSummary" border="0" cellpadding="3" cellspacing="0" summary="Field Summary table, listing fields, and an explanation">
<caption><span>Fields</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Field and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>java.lang.Boolean</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/gm/Graph.html#bIndexed">bIndexed</a></strong></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>java.lang.String</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/gm/Graph.html#cid">cid</a></strong></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>java.lang.String</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/gm/Graph.html#eid">eid</a></strong></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>java.lang.String</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/gm/Graph.html#format">format</a></strong></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>com.mongodb.BasicDBList</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/gm/Graph.html#notes">notes</a></strong></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>com.mongodb.BasicDBList</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/gm/Graph.html#revisions">revisions</a></strong></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>java.lang.String</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/gm/Graph.html#sid">sid</a></strong></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>com.mongodb.BasicDBList</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/gm/Graph.html#votes">votes</a></strong></code>&nbsp;</td>
</tr>
</table>
</li>
</ul>
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor_summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="overviewSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier</th>
<th class="colLast" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>&nbsp;</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/gm/Graph.html#Graph()">Graph</a></strong>()</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>private </code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/gm/Graph.html#Graph(com.mongodb.BasicDBObject)">Graph</a></strong>(com.mongodb.BasicDBObject&nbsp;definition)</code>&nbsp;</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method_summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="overviewSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span>Methods</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/gm/Graph.html#addNote(java.lang.String,%20java.lang.String)">addNote</a></strong>(java.lang.String&nbsp;username,
       java.lang.String&nbsp;content)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static <a href="../../../../../fr/inria/alpage/frmgcm/gm/Graph.html" title="class in fr.inria.alpage.frmgcm.gm">Graph</a></code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/gm/Graph.html#createNewGraph(com.mongodb.BasicDBObject)">createNewGraph</a></strong>(com.mongodb.BasicDBObject&nbsp;definition)</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>private <a href="../../../../../fr/inria/alpage/frmgcm/gm/GraphRevision.html" title="class in fr.inria.alpage.frmgcm.gm">GraphRevision</a></code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/gm/Graph.html#createRevision(com.mongodb.BasicDBObject)">createRevision</a></strong>(com.mongodb.BasicDBObject&nbsp;dataInfo)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/gm/Graph.html#deleteRevisions()">deleteRevisions</a></strong>()</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>com.mongodb.BasicDBObject</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/gm/Graph.html#getAdditionalData()">getAdditionalData</a></strong>()</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/gm/Graph.html#getbIndexed()">getbIndexed</a></strong>()</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>java.lang.String</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/gm/Graph.html#getcid()">getcid</a></strong>()</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>java.lang.String</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/gm/Graph.html#getData()">getData</a></strong>()</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>java.lang.String</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/gm/Graph.html#getData(int)">getData</a></strong>(int&nbsp;revision)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>com.mongodb.BasicDBObject</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/gm/Graph.html#getDepgraphSrcData()">getDepgraphSrcData</a></strong>()</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>java.lang.String</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/gm/Graph.html#geteid()">geteid</a></strong>()</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>java.lang.String</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/gm/Graph.html#getformat()">getformat</a></strong>()</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>private <a href="../../../../../fr/inria/alpage/frmgcm/corpus/AbstractGraph.html" title="class in fr.inria.alpage.frmgcm.corpus">AbstractGraph</a></code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/gm/Graph.html#getFormatedGraph()">getFormatedGraph</a></strong>()</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>private <a href="../../../../../fr/inria/alpage/frmgcm/corpus/AbstractGraph.html" title="class in fr.inria.alpage.frmgcm.corpus">AbstractGraph</a></code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/gm/Graph.html#getFormatedGraph(int)">getFormatedGraph</a></strong>(int&nbsp;revision)</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>com.mongodb.BasicDBList</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/gm/Graph.html#getnotes()">getnotes</a></strong>()</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../../../../../fr/inria/alpage/frmgcm/gm/GraphRevision.html" title="class in fr.inria.alpage.frmgcm.gm">GraphRevision</a></code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/gm/Graph.html#getRevision(int)">getRevision</a></strong>(int&nbsp;rid)</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>com.mongodb.BasicDBList</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/gm/Graph.html#getrevisions()">getrevisions</a></strong>()</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>java.lang.String</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/gm/Graph.html#getSentence()">getSentence</a></strong>()</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>java.lang.String</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/gm/Graph.html#getsid()">getsid</a></strong>()</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>java.lang.String</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/gm/Graph.html#getSignature()">getSignature</a></strong>()</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>com.mongodb.BasicDBList</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/gm/Graph.html#getvotes()">getvotes</a></strong>()</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/gm/Graph.html#index()">index</a></strong>()</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/gm/Graph.html#index(boolean)">index</a></strong>(boolean&nbsp;overwrite)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>java.lang.String[]</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/gm/Graph.html#indexInfo()">indexInfo</a></strong>()</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/gm/Graph.html#removeNote(java.lang.Integer)">removeNote</a></strong>(java.lang.Integer&nbsp;index)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/gm/Graph.html#save()">save</a></strong>()</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/gm/Graph.html#setbIndexed(boolean)">setbIndexed</a></strong>(boolean&nbsp;bIndexed)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/gm/Graph.html#setcid(java.lang.String)">setcid</a></strong>(java.lang.String&nbsp;cid)</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/gm/Graph.html#seteid(java.lang.String)">seteid</a></strong>(java.lang.String&nbsp;eid)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/gm/Graph.html#setformat(java.lang.String)">setformat</a></strong>(java.lang.String&nbsp;format)</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/gm/Graph.html#setnotes(com.mongodb.BasicDBList)">setnotes</a></strong>(com.mongodb.BasicDBList&nbsp;notes)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/gm/Graph.html#setrevisions(com.mongodb.BasicDBList)">setrevisions</a></strong>(com.mongodb.BasicDBList&nbsp;revisions)</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/gm/Graph.html#setsid(java.lang.String)">setsid</a></strong>(java.lang.String&nbsp;sid)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/gm/Graph.html#setvotes(com.mongodb.BasicDBList)">setvotes</a></strong>(com.mongodb.BasicDBList&nbsp;votes)</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../../fr/inria/alpage/frmgcm/utils/Utils.ValidationBean.html" title="class in fr.inria.alpage.frmgcm.utils">Utils.ValidationBean</a></code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/gm/Graph.html#update(com.mongodb.BasicDBObject)">update</a></strong>(com.mongodb.BasicDBObject&nbsp;updateData)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../../../../../fr/inria/alpage/frmgcm/utils/Utils.ValidationBean.html" title="class in fr.inria.alpage.frmgcm.utils">Utils.ValidationBean</a></code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/gm/Graph.html#update(com.mongodb.BasicDBObject,%20boolean)">update</a></strong>(com.mongodb.BasicDBObject&nbsp;updateData,
      boolean&nbsp;createNewRevision)</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>private <a href="../../../../../fr/inria/alpage/frmgcm/utils/Utils.ValidationBean.html" title="class in fr.inria.alpage.frmgcm.utils">Utils.ValidationBean</a></code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/gm/Graph.html#validate()">validate</a></strong>()</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/gm/Graph.html#vote(java.lang.String,%20java.lang.Integer)">vote</a></strong>(java.lang.String&nbsp;username,
    java.lang.Integer&nbsp;val)</code>&nbsp;</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods_inherited_from_class_com.mongodb.ReflectionDBObject">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;com.mongodb.ReflectionDBObject</h3>
<code>containsField, containsKey, get_id, get, getWrapper, getWrapperIfReflectionObject, isPartialObject, keySet, markAsPartialObject, put, putAll, putAll, removeField, set_id, toMap</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods_inherited_from_class_java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait</code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ FIELD DETAIL =========== -->
<ul class="blockList">
<li class="blockList"><a name="field_detail">
<!--   -->
</a>
<h3>Field Detail</h3>
<a name="sid">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>sid</h4>
<pre>public&nbsp;java.lang.String sid</pre>
</li>
</ul>
<a name="eid">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>eid</h4>
<pre>public&nbsp;java.lang.String eid</pre>
</li>
</ul>
<a name="cid">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>cid</h4>
<pre>public&nbsp;java.lang.String cid</pre>
</li>
</ul>
<a name="format">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>format</h4>
<pre>public&nbsp;java.lang.String format</pre>
</li>
</ul>
<a name="bIndexed">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>bIndexed</h4>
<pre>public&nbsp;java.lang.Boolean bIndexed</pre>
</li>
</ul>
<a name="revisions">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>revisions</h4>
<pre>public&nbsp;com.mongodb.BasicDBList revisions</pre>
</li>
</ul>
<a name="notes">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>notes</h4>
<pre>public&nbsp;com.mongodb.BasicDBList notes</pre>
</li>
</ul>
<a name="votes">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>votes</h4>
<pre>public&nbsp;com.mongodb.BasicDBList votes</pre>
</li>
</ul>
</li>
</ul>
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor_detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="Graph()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>Graph</h4>
<pre>public&nbsp;Graph()</pre>
</li>
</ul>
<a name="Graph(com.mongodb.BasicDBObject)">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>Graph</h4>
<pre>private&nbsp;Graph(com.mongodb.BasicDBObject&nbsp;definition)</pre>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method_detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="getnotes()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getnotes</h4>
<pre>public&nbsp;com.mongodb.BasicDBList&nbsp;getnotes()</pre>
</li>
</ul>
<a name="setnotes(com.mongodb.BasicDBList)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setnotes</h4>
<pre>public&nbsp;void&nbsp;setnotes(com.mongodb.BasicDBList&nbsp;notes)</pre>
</li>
</ul>
<a name="getvotes()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getvotes</h4>
<pre>public&nbsp;com.mongodb.BasicDBList&nbsp;getvotes()</pre>
</li>
</ul>
<a name="setvotes(com.mongodb.BasicDBList)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setvotes</h4>
<pre>public&nbsp;void&nbsp;setvotes(com.mongodb.BasicDBList&nbsp;votes)</pre>
</li>
</ul>
<a name="getsid()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getsid</h4>
<pre>public&nbsp;java.lang.String&nbsp;getsid()</pre>
</li>
</ul>
<a name="setsid(java.lang.String)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setsid</h4>
<pre>public&nbsp;void&nbsp;setsid(java.lang.String&nbsp;sid)</pre>
</li>
</ul>
<a name="geteid()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>geteid</h4>
<pre>public&nbsp;java.lang.String&nbsp;geteid()</pre>
</li>
</ul>
<a name="seteid(java.lang.String)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>seteid</h4>
<pre>public&nbsp;void&nbsp;seteid(java.lang.String&nbsp;eid)</pre>
</li>
</ul>
<a name="getcid()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getcid</h4>
<pre>public&nbsp;java.lang.String&nbsp;getcid()</pre>
</li>
</ul>
<a name="setcid(java.lang.String)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setcid</h4>
<pre>public&nbsp;void&nbsp;setcid(java.lang.String&nbsp;cid)</pre>
</li>
</ul>
<a name="getformat()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getformat</h4>
<pre>public&nbsp;java.lang.String&nbsp;getformat()</pre>
</li>
</ul>
<a name="setformat(java.lang.String)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setformat</h4>
<pre>public&nbsp;void&nbsp;setformat(java.lang.String&nbsp;format)</pre>
</li>
</ul>
<a name="getbIndexed()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getbIndexed</h4>
<pre>public&nbsp;boolean&nbsp;getbIndexed()</pre>
</li>
</ul>
<a name="setbIndexed(boolean)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setbIndexed</h4>
<pre>public&nbsp;void&nbsp;setbIndexed(boolean&nbsp;bIndexed)</pre>
</li>
</ul>
<a name="getrevisions()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getrevisions</h4>
<pre>public&nbsp;com.mongodb.BasicDBList&nbsp;getrevisions()</pre>
</li>
</ul>
<a name="setrevisions(com.mongodb.BasicDBList)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setrevisions</h4>
<pre>public&nbsp;void&nbsp;setrevisions(com.mongodb.BasicDBList&nbsp;revisions)</pre>
</li>
</ul>
<a name="createNewGraph(com.mongodb.BasicDBObject)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>createNewGraph</h4>
<pre>public static&nbsp;<a href="../../../../../fr/inria/alpage/frmgcm/gm/Graph.html" title="class in fr.inria.alpage.frmgcm.gm">Graph</a>&nbsp;createNewGraph(com.mongodb.BasicDBObject&nbsp;definition)</pre>
</li>
</ul>
<a name="index()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>index</h4>
<pre>public&nbsp;void&nbsp;index()</pre>
</li>
</ul>
<a name="index(boolean)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>index</h4>
<pre>public&nbsp;void&nbsp;index(boolean&nbsp;overwrite)</pre>
</li>
</ul>
<a name="indexInfo()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>indexInfo</h4>
<pre>public&nbsp;java.lang.String[]&nbsp;indexInfo()</pre>
</li>
</ul>
<a name="getData()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getData</h4>
<pre>public&nbsp;java.lang.String&nbsp;getData()</pre>
</li>
</ul>
<a name="getAdditionalData()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getAdditionalData</h4>
<pre>public&nbsp;com.mongodb.BasicDBObject&nbsp;getAdditionalData()</pre>
</li>
</ul>
<a name="getFormatedGraph()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getFormatedGraph</h4>
<pre>private&nbsp;<a href="../../../../../fr/inria/alpage/frmgcm/corpus/AbstractGraph.html" title="class in fr.inria.alpage.frmgcm.corpus">AbstractGraph</a>&nbsp;getFormatedGraph()
                                throws java.lang.Exception</pre>
<dl><dt><span class="strong">Throws:</span></dt>
<dd><code>java.lang.Exception</code></dd></dl>
</li>
</ul>
<a name="getFormatedGraph(int)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getFormatedGraph</h4>
<pre>private&nbsp;<a href="../../../../../fr/inria/alpage/frmgcm/corpus/AbstractGraph.html" title="class in fr.inria.alpage.frmgcm.corpus">AbstractGraph</a>&nbsp;getFormatedGraph(int&nbsp;revision)
                                throws java.lang.Exception</pre>
<dl><dt><span class="strong">Throws:</span></dt>
<dd><code>java.lang.Exception</code></dd></dl>
</li>
</ul>
<a name="getDepgraphSrcData()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getDepgraphSrcData</h4>
<pre>public&nbsp;com.mongodb.BasicDBObject&nbsp;getDepgraphSrcData()
                                             throws java.lang.Exception</pre>
<dl><dt><span class="strong">Throws:</span></dt>
<dd><code>java.lang.Exception</code></dd></dl>
</li>
</ul>
<a name="getData(int)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getData</h4>
<pre>public&nbsp;java.lang.String&nbsp;getData(int&nbsp;revision)</pre>
</li>
</ul>
<a name="getSentence()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getSentence</h4>
<pre>public&nbsp;java.lang.String&nbsp;getSentence()
                             throws java.lang.Exception</pre>
<dl><dt><span class="strong">Throws:</span></dt>
<dd><code>java.lang.Exception</code></dd></dl>
</li>
</ul>
<a name="createRevision(com.mongodb.BasicDBObject)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>createRevision</h4>
<pre>private&nbsp;<a href="../../../../../fr/inria/alpage/frmgcm/gm/GraphRevision.html" title="class in fr.inria.alpage.frmgcm.gm">GraphRevision</a>&nbsp;createRevision(com.mongodb.BasicDBObject&nbsp;dataInfo)</pre>
</li>
</ul>
<a name="update(com.mongodb.BasicDBObject)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>update</h4>
<pre>public&nbsp;<a href="../../../../../fr/inria/alpage/frmgcm/utils/Utils.ValidationBean.html" title="class in fr.inria.alpage.frmgcm.utils">Utils.ValidationBean</a>&nbsp;update(com.mongodb.BasicDBObject&nbsp;updateData)</pre>
</li>
</ul>
<a name="getSignature()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getSignature</h4>
<pre>public&nbsp;java.lang.String&nbsp;getSignature()</pre>
</li>
</ul>
<a name="update(com.mongodb.BasicDBObject, boolean)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>update</h4>
<pre>public&nbsp;<a href="../../../../../fr/inria/alpage/frmgcm/utils/Utils.ValidationBean.html" title="class in fr.inria.alpage.frmgcm.utils">Utils.ValidationBean</a>&nbsp;update(com.mongodb.BasicDBObject&nbsp;updateData,
                          boolean&nbsp;createNewRevision)</pre>
</li>
</ul>
<a name="getRevision(int)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getRevision</h4>
<pre>public&nbsp;<a href="../../../../../fr/inria/alpage/frmgcm/gm/GraphRevision.html" title="class in fr.inria.alpage.frmgcm.gm">GraphRevision</a>&nbsp;getRevision(int&nbsp;rid)</pre>
</li>
</ul>
<a name="validate()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>validate</h4>
<pre>private&nbsp;<a href="../../../../../fr/inria/alpage/frmgcm/utils/Utils.ValidationBean.html" title="class in fr.inria.alpage.frmgcm.utils">Utils.ValidationBean</a>&nbsp;validate()</pre>
</li>
</ul>
<a name="save()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>save</h4>
<pre>public&nbsp;boolean&nbsp;save()</pre>
</li>
</ul>
<a name="deleteRevisions()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>deleteRevisions</h4>
<pre>public&nbsp;void&nbsp;deleteRevisions()</pre>
</li>
</ul>
<a name="addNote(java.lang.String, java.lang.String)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>addNote</h4>
<pre>public&nbsp;void&nbsp;addNote(java.lang.String&nbsp;username,
           java.lang.String&nbsp;content)</pre>
</li>
</ul>
<a name="removeNote(java.lang.Integer)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>removeNote</h4>
<pre>public&nbsp;void&nbsp;removeNote(java.lang.Integer&nbsp;index)</pre>
</li>
</ul>
<a name="vote(java.lang.String, java.lang.Integer)">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>vote</h4>
<pre>public&nbsp;void&nbsp;vote(java.lang.String&nbsp;username,
        java.lang.Integer&nbsp;val)</pre>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar_bottom">
<!--   -->
</a><a href="#skip-navbar_bottom" title="Skip navigation links"></a><a name="navbar_bottom_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/Graph.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev Class</li>
<li><a href="../../../../../fr/inria/alpage/frmgcm/gm/GraphManager.html" title="class in fr.inria.alpage.frmgcm.gm"><span class="strong">Next Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?fr/inria/alpage/frmgcm/gm/Graph.html" target="_top">Frames</a></li>
<li><a href="Graph.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li><a href="#nested_classes_inherited_from_class_com.mongodb.ReflectionDBObject">Nested</a>&nbsp;|&nbsp;</li>
<li><a href="#field_summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor_summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method_summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field_detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor_detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method_detail">Method</a></li>
</ul>
</div>
<a name="skip-navbar_bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
